Zum Inhalt springen
meniodevelopermenio DashboardVorschau

GET · Checkout API

GET

Checkout API Profiles
GET/api/v1/profiles/{reference}

Retrieves profile info, including:

  • Personal information.

  • Balance information.

  • The tags linked to the profile, primarily used for organizing user groups.

Parameter

referencestringErforderlich

The unique token identifier or an OTP of the profile.

Request-Header

Content-Type
application/json; charset=utf-8
Authorization
Token <accessToken>
Originaler Blueprint-Ausschnitt
API Blueprint
### GET [GET /api/v1/profiles/{reference}]

Retrieves profile info, including:
* Personal information.
* Balance information.
* The tags linked to the profile, primarily used for organizing user groups.

+ Parameters
    + reference (string, required) - The unique token identifier or an OTP of the profile.

+ Request (application/json; charset=utf-8)

    + Headers

            Authorization: Token <accessToken>

+ Response 200 (application/json; charset=utf-8)

    + Attributes (object)
        + fullName: `John Doe` (string) - The full name of the account owner, linked to the profile, if available.
        + language: `en-US` (string) - The user-defined language setting for the qnips system.
        + balance (object) - Balance information of the profile.
            + availableAmount: 1550 (number) - The available balance of the profile in the currency's minor unit. Reserved balance is not included here until the reservation expires.
            + totalAmount: 2050 (number) - The total balance of the profile in the currency's minor unit including reserved balance that is temporarily inaccessible without the reservation's reference.
            + currency: EUR (string) - The currency of the balance.
            + remainingTopUpAmount: 9000 (number) - The remaining monthly balance that is allowed to be added in top-ups.
            + config (object) - The balance configuration for the profile.
                + isTopUpAllowed: true (boolean) - Indicateds whether the profile is allowed to create top-ups.
                + isChargeAllowed: true (boolean) - Indicateds whether the profile is allowed to create charges.
                + maxAmount: 10000 (number) - The maximum balance a profile is permitted to hold, expressed in the currency's minor unit.
                + maxSingleTopUpAmount: 10000 (number) - The maximum balance a profile is allowed to add in a single top-up, expressed in the currency's minor unit.
                + minSingleTopUpAmount: 100 (number) - The minimum balance a profile has to add in a single top-up, expressed in the currency's minor unit.
                + maxMonthlyTopUpAmount: 10000 (number) - The maximum balance a profile is allowed to add in a single month, starting for the 1th of the month, expressed in the currency's minor unit.
        + tags (array) - The tags linked to the profile, primarily used for organizing user groups.
            + (object)
                + id: 58977 (number)
                + name: Student (string)
        + vytal (object) - The Vytal configuration for the profile.
            + userId: `d89accd2-135b-49f6-81eb-33ab27ef0389` (string) - The unique identifier of the Vytal user. 

    + Body

            {
                "fullName": "John Doe",
                "language": "en-US",
                "balance": {
                    "availableAmount": 1550,
                    "totalAmount": 2050,
                    "currency": "EUR",
                    "remainingTopUpAmount": 9000,
                    "config": {
                        "isTopUpAllowed": true,
                        "isChargeAllowed": true,
                        "maxAmount": 10000,
                        "maxSingleTopUpAmount": 10000,
                        "minSingleTopUpAmount": 100,
                        "maxMonthlyTopUpAmount": 10000
                    }
                },
                "tags": [{
                    "id": 58977,
                    "name": "Student"
                }],
                "vytal": {
                    "userId": "d89accd2-135b-49f6-81eb-33ab27ef0389"
                }
            }

    + Schema

            {
                "type": "object",
                "properties": {
                    "fullName": {
                        "type": "string"
                    },
                    "language": {
                        "type": "string"
                    },
                    "balance": {
                        "type": "object",
                        "properties": {
                            "availableAmount": {
                                "type": "number"
                            },
                            "totalAmount": {
                                "type": "number"
                            },
                            "currency": {
                                "type": "string"
                            },
                            "remainingTopUpAmount": {
                                "type": "number"
                            },
                            "config": {
                                "type": "object",
                                "properties": {
                                    "isTopUpAllowed": {
                                        "type": "boolean"
                                    },
                                    "isChargeAllowed": {
                                        "type": "boolean"
                                    },
                                    "maxAmount": {
                                        "type": "number"
                                    },
                                    "maxSingleTopUpAmount": {
                                        "type": "number"
                                    },
                                    "minSingleTopUpAmount": {
                                        "type": "number"
                                    },
                                    "maxMonthlyTopUpAmount": {
                                        "type": "number"
                                    }
                                }
                            }
                        }
                    },
                    "tags": {
                        "type": "array",
                        "items": {
                            "type": "object",
                            "properties": {
                                "id": {
                                    "type": "number"
                                },
                                "name": {
                                    "type": "string"
                                }
                            }
                        }
                    },
                    "vytal": {
                        "type": "object",
                        "properties": {
                            "userId": {
                                "type": "string",
                                "format": "uuid"
                            }
                        }
                    }
                }
            }